Building dell_rbu module
by Major Hayden
Hey folks,
I've rebuilt quite a few Fedora kernels to enable the dell_rbu module for firmware updates on various Dell servers, workstations, and laptops that are running Fedora 21 and 22. Would it be possible to have it enabled in the normal kernel builds?
I found a bugzilla ticket[1] referenced in the kernel config[2] that points to some installation issues in Fedora 20. I can't tell if the bug was within dell_rbu or perhaps in systemd-udevd from the ticket. However, I've had success loading the module on various Dell equipment over the last 18 months or so.
If we enable it, could we ensure that it's not enabled by default? I wondered if a kernel subpackage would be helpful but that seems a bit like overkill.
Thanks!
[1] https://bugzilla.redhat.com/show_bug.cgi?id=997149
[2] http://pkgs.fedoraproject.org/cgit/kernel.git/tree/config-x86-generic?h=f22
--
Major Hayden
7 years, 5 months
NumaChip APIC support
by Daniel J Blueman
Hi Fedora kernel team,
What possibility is there of enabling CONFIG_X86_NUMACHIP in the
Fedora kernel, given it's been enabled in the CentOS Plus and Ubuntu
kernels for a few years now?
This will allow booting Fedora on large-SMP NumaConnect systems and
make Fedora a useful choice.
Many thanks!
Daniel
--
Daniel J Blueman
7 years, 8 months
[PATCH] run ldconfig against kernel-tools-libs not kernel-tools
by Peter Robinson
---
kernel.spec | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/kernel.spec b/kernel.spec
index d2de44c..df65aab 100644
--- a/kernel.spec
+++ b/kernel.spec
@@ -1781,10 +1781,10 @@ rm -rf $RPM_BUILD_ROOT
###
%if %{with_tools}
-%post -n kernel-tools
+%post -n kernel-tools-libs
/sbin/ldconfig
-%postun -n kernel-tools
+%postun -n kernel-tools-libs
/sbin/ldconfig
%endif
--
2.5.0
7 years, 8 months
kernel-tests master: A couple of fixes pointed out by Charles-Antoine Couret (9503946)
by Justin Forbes
Repository : http://git.fedorahosted.org/cgit/kernel-tests.git
On branch : master
>---------------------------------------------------------------
commit 95039464f532649fd1da65c1ee527f7f7827681c
Author: Justin M. Forbes <jforbes(a)redhat.com>
Date: Fri Sep 4 12:08:46 2015 -0500
A couple of fixes pointed out by Charles-Antoine Couret
>---------------------------------------------------------------
stress/ltp/runtest.sh | 4 +++-
stress/rcutorture/runtest.sh | 6 +++---
2 files changed, 6 insertions(+), 4 deletions(-)
diff --git a/stress/ltp/runtest.sh b/stress/ltp/runtest.sh
index 299bf53..e2b2178 100755
--- a/stress/ltp/runtest.sh
+++ b/stress/ltp/runtest.sh
@@ -19,7 +19,9 @@ check_dep make
set -e
-git clone https://github.com/linux-test-project/ltp
+if [ ! -d "ltp" ]; then
+ git clone https://github.com/linux-test-project/ltp
+fi
pushd ltp
make autotools
./configure
diff --git a/stress/rcutorture/runtest.sh b/stress/rcutorture/runtest.sh
index 045192d..caa676c 100755
--- a/stress/rcutorture/runtest.sh
+++ b/stress/rcutorture/runtest.sh
@@ -15,11 +15,11 @@ if [ -z "$TORTURE_PARAMS" ]; then
fi
# Make sure the rcutorture module is available to test
-insmod rcutorture $TORTURE_PARAMS
+modprobe rcutorture $TORTURE_PARAMS
if [ $? -eq 0 ]; then
- echo "insmod rcutorture $TORTURE_PARAMS passed"
+ echo "modprobe rcutorture $TORTURE_PARAMS passed"
else
- echo "insmod rcutorture $TORTURE_PARAMS failed"
+ echo "modprobe rcutorture $TORTURE_PARAMS failed"
exit 3
fi
7 years, 9 months